{% include directory ~ '/templates/navigation/menu-new.html.twig' %}
{# {{ page.navigation }} #}
<main role="main">
    {{ page.breadcrumb }}
    <a id="main-content" tabindex="-1"></a>
    {# link is in html.html.twig #}
    <h1 class="d-none">Tukar Poinmu Sekarang!</h1>
    <div class="bg-white-blue rounded-lg" style="margin-top: 0rem !important">
        <div class="bg-head">
            <div class="container">
                {% include directory ~ '/templates/includes/_slide-club.html.twig' %}
            </div>
        </div>

        <div class="container">
            <div class="row">
                <div class="col-md-5">
                    <ul class="nav nav-pills mb-4 pills-blue px-3 mx-2 mx-lg-5" id="pills-tab" role="tablist"
                        style="min-width:48%;">
                        <li class="nav-item flex-fill" role="presentation">
                            <a class="nav-link mt-0 font-weight-bold active" id="submit-kode-tab" data-toggle="pill"
                                href="#submit-kode" role="tab" aria-controls="submit-kode" aria-selected="true">Submit
                                Kode</a>
                        </li>
                        <li class="nav-item flex-fill" role="presentation">
                            <a class="nav-link mt-0 font-weight-bold" id="tukar-poin-tab" data-toggle="pill"
                                href="#tukar-poin" role="tab" aria-controls="tukar-poin" aria-selected="false">Tukar
                                Poin</a>
                        </li>
                    </ul>
                </div>
            </div>
        </div>

        <div class="tab-content" id="pills-tabContent">
            <div class="tab-pane fade show active" id="submit-kode" role="tabpanel" aria-labelledby="submit-kode-tab">
                <div class="container pb-5 px-xl-5">
                    <div class="row mx-xl-1 card-mobile">
                        <div class="col-md-4">
                            <div class="m-3 m-lg-0">
                                <h2>Tukar Poinmu Sekarang!</h2>
                                <p>Masukkan kode unik yang Happy Parents dapatkan dari kemasan produk LACTOGROW 3 dan
                                    LACTOGROW 4 untuk mendapatkan Happy Points.</p>
                            </div>
                        </div>
                        <div class="col text-center text-lg-right">
                            <a href="{{ url('<front>') }}profile"
                                class="btn btn-primary rounded-pill my-2 px-4 px-lg-5 btn-cta text-uppercase border-0"><strong>Submit
                                    kode sekarang</strong></a> &nbsp; <a href="{{ url('<front>') }}faq"
                                class="btn btn-primary rounded-pill my-2 px-4 px-lg-5 btn-cta bg-white text-primary text-uppercase border-0"><strong>Syarat
                                    &amp; Ketentuan</strong></a>
                        </div>
                    </div>
                    <div class="row my-4 mx-xl-1">
                        <div class="col">
                            <div class="slider-card">
                                <div class="swiper-container swiper-howto">
                                    <ul class="swiper-wrapper lct__faq--detail-cara_gabung list-unstyled">
                                        <li class="swiper-slide text-center position-relative">
                                            <div class="slide_number">1</div>
                                            <h2 class="mt-5 pt-5">Registrasi</h2>
                                            <p class="px-5 mb-5">
                                                Buka halaman pendaftaran di sini. Bisa juga melalui Whatsapp, SMS atau
                                                Call
                                                Center LACTOGROW.
                                            </p>
                                            <p><img width="100" class="m-auto img-fluid"
                                                    src="{{ url('<front>') }}themes/growhappytheme/assets/images/icon-window.svg"
                                                    alt="icon"></p>
                                        </li>
                                        <li class="swiper-slide text-center position-relative">
                                            <div class="slide_number">2</div>
                                            <h2 class="mt-5 pt-5">Isi Data Diri</h2>
                                            <p class="px-5 mb-5">
                                                Isi formulir pendaftaran dengan lengkap dan benar. Pastikan e-mail dan
                                                nomor
                                                handphone yang didaftarkan valid.
                                            </p>
                                            <p><img width="100" class="m-auto img-fluid"
                                                    src="{{ url('<front>') }}themes/growhappytheme/assets/images/icon-window.svg"
                                                    alt="icon"></p>
                                        </li>
                                        <li class="swiper-slide text-center position-relative">
                                            <div class="slide_number">3</div>
                                            <h2 class="mt-5 pt-5">Aktivasi Akun</h2>
                                            <p class="px-5 mb-5">
                                                Klik link aktivasi yang dikirimkan ke e-mail Happy Parents untuk mulai
                                                mendapatkan keuntungan
                                            </p>
                                            <p><img width="100" class="m-auto img-fluid"
                                                    src="{{ url('<front>') }}themes/growhappytheme/assets/images/icon-window.svg"
                                                    alt="icon"></p>
                                        </li>
                                    </ul>
                                </div>
                                <div class="swiper-pagination pagination-light howto w-100 d-lg-none"></div>
                                <div class="swiper-button-prev button-prev-dark howto d-lg-none"></div>
                                <div class="swiper-button-next button-next-dark howto d-lg-none"></div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="tab-pane fade" id="tukar-poin" role="tabpanel" aria-labelledby="tukar-poin-tab">
                <div class="container pb-5 px-xl-5">
                    <div class="row mx-xl-1">
                        <div class="col-md-4">
                            <h2>Hadiah Spesial!</h2>
                        </div>
                        <div class="col">
                            <div class="slider-card mb-4 position-relative">
                                <div class="swiper-container swiper-hadiah">
                                    <div class="swiper-wrapper">
                                        {% include directory ~ '/templates/includes/_rewardfront.html.twig' %}
                                    </div>
                                </div>
                                <div class="swiper-pagination pagination-light hadiah"></div>
                                <div class="swiper-button-prev button-prev-dark hadiah"></div>
                                <div class="swiper-button-next button-next-dark hadiah"></div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

    </div>
    <div class="container mt-3 bg-footer-global" id="rewards-list">
        <div class="px-md-3 px-lg-4 px-xl-5 px-xxl-6">
            <div class="row mt-5">
                <div class="col-12">
                    <h2 class="text-primary mb-2">Hadiah untuk Happy Parents</h2>
                </div>
            </div>
            <div class="row mt-3">
                <div class="col-md-3 d-none d-md-block">
                    <div class="filter-tablet-up">
                        <h3 class="h4 text-primary mb-2"><label for="sort">Urutkan</label></h3>
                        <select id="sort" class="form-select w-100" onchange="this.options[this.selectedIndex].value && (window.location = this.options[this.selectedIndex].value);">
                            <option value="{{ url('<front>') }}club?sortBy=default#rewards-list" {% if sortBy == 'default' %} selected {% endif %}>Paling Sesuai</option>
                            <option value="{{ url('<front>') }}club?sortBy=new#rewards-list" {% if sortBy == 'new' %} selected {% endif %}>Paling Baru</option>
                            <option value="{{ url('<front>') }}club?sortBy=old#rewards-list" {% if sortBy == 'old' %} selected {% endif %}>Paling Lama</option>
                        </select>
                        <br>
                        <h3 class="h4 text-primary mb-2">Filter</h3>
                        <hr>
                        <h3 class="h5 text-blue mb-2">Kategori Hadiah</h3>
                        <div class="form-check">
                            <input class="form-check-input" type="radio" name="categorydesktop" id="category0" value=""
                                onclick="window.location='{{ url('<front>') }}club#rewards-list';" {% if categoryName == '' %} checked="checked" {% endif %}>
                            <label class="form-check-label" for="category0">
                                Semua
                            </label>
                        </div>
                         {% for rewardscat in rewardscategories %}
                            <div class="form-check">
                                <input class="form-check-input" type="radio" name="categorydesktop" id="category{{ rewardscat.id }}" value="{{ rewardscat.id }}" onclick="window.location='{{ url('<front>') }}club?category={{ rewardscat.name }}#rewards-list';" {% if rewardscat.name == categoryName %} checked="checked"{% endif %}>
                                <label class="form-check-label" for="category{{ rewardscat.id }}">
                                    {{ rewardscat.name }}
                                </label>
                            </div>
                        {% endfor %}
                        <br>
                        <h3 class="h5 text-blue mb-2">Poin</h3>

                        <div class="form-check">
                            <input class="form-check-input" type="radio" name="pointEnd" id="poin1" value="5000" onclick="window.location='{{ url('<front>') }}club?pointStart=100&pointEnd=5000#rewards-list';" {% if pointEnd == 5000 %} checked {% endif %}>
                            <label class="form-check-label" for="poin1">
                                100 - 5000
                            </label>
                        </div>
                        <div class="form-check">
                            <input class="form-check-input" type="radio" name="pointEnd" id="10000" value="option2" onclick="window.location='{{ url('<front>') }}club?pointStart=5001&pointEnd=10000#rewards-list';" {% if pointEnd == 10000 %} checked {% endif %}>
                            <label class="form-check-label" for="poin2">
                                5000 - 10000
                            </label>
                        </div>
                        <div class="form-check">
                            <input class="form-check-input" type="radio" name="pointEnd" id="poin3" value="150000" onclick="window.location='{{ url('<front>') }}club?pointStart=10001&pointEnd=150000#rewards-list';" {% if pointEnd == 150000 %} checked {% endif %}>
                            <label class="form-check-label" for="poin3">
                                10000 - 150000
                            </label>
                        </div>
                        <div class="form-check">
                            <input class="form-check-input" type="radio" name="pointEnd" id="poin4" value="200000" onclick="window.location='{{ url('<front>') }}club?pointStart=150001&pointEnd=200000#rewards-list';" {% if pointEnd == 200000 %} checked {% endif %}>
                            <label class="form-check-label" for="poin4">
                                150000 - 200000
                            </label>
                        </div>
                    </div>
                </div>
                <div class="col-md-9">
                    <div class="filter-mobile">
                        <!-- Modal -->
                        <div class="modal modal-filter-reward fade" id="filterMobileModal" tabindex="-1" role="dialog"
                            aria-labelledby="filterMobileModalLabel" aria-hidden="true">
                            <div class="modal-dialog" role="document">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h5 class="modal-title" id="filterMobileModalLabel">Filter</h5>
                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                    <form class="" action="{{ url('<front>') }}club#rewards-list" method="GET">
                                        <div class="modal-body">
                                            <h3 class="h5 text-blue mb-2">Urutkan</h3>

                                            <div class="form-check">
                                                <input class="form-check-input" type="radio" name="sortBy"
                                                    id="sort-mobile-1" value="default" checked>
                                                <label class="form-check-label" for="sort-mobile-1">
                                                    Paling Sesuai
                                                </label>
                                            </div>
                                            <div class="form-check">
                                                <input class="form-check-input" type="radio" name="sortBy"
                                                    id="sort-mobile-2" value="new">
                                                <label class="form-check-label" for="sort-mobile-2">
                                                    Paling Baru
                                                </label>
                                            </div>
                                            <div class="form-check">
                                                <input class="form-check-input" type="radio" name="sortBy"
                                                    id="sort-mobile-3" value="old">
                                                <label class="form-check-label" for="sort-mobile-3">
                                                    Paling Lama
                                                </label>
                                            </div>
                                            <br>

                                            <h3 class="h5 text-blue mb-2 mt-3">Kategori Hadiah</h3>
                                            <div class="form-check">
                                                <input class="form-check-input" type="radio" name="category"
                                                    id="category-mobile-1" value="" checked>
                                                <label class="form-check-label" for="category-mobile-1">
                                                    Semua
                                                </label>
                                            </div>
                                            {% for rewardscat2 in rewardscategories %}
                                                <div class="form-check">
                                                    <input class="form-check-input" type="radio" name="category"
                                                        id="category-mobile-{{ rewardscat2.id }}" value="{{ rewardscat2.name }}">
                                                    <label class="form-check-label" for="category-mobile-{{ rewardscat2.id }}">
                                                        {{ rewardscat2.name }}
                                                    </label>
                                                </div>
                                            {% endfor %}
                                            <br>
                                            <h3 class="h5 text-blue mb-2 mt-3">Poin</h3>

                                            <div class="form-check">
                                                <input class="form-check-input" type="radio" name="pointEnd" id="poin-mobile-1"
                                                    value="5000">
                                                <label class="form-check-label" for="poin-mobile-1">
                                                    100 - 5000
                                                </label>
                                            </div>
                                            <div class="form-check">
                                                <input class="form-check-input" type="radio" name="pointEnd" id="poin-mobile-2"
                                                    value="10000">
                                                <label class="form-check-label" for="poin-mobile-2">
                                                    5000 - 10000
                                                </label>
                                            </div>
                                            <div class="form-check">
                                                <input class="form-check-input" type="radio" name="pointEnd" id="poin-mobile-3"
                                                    value="150000">
                                                <label class="form-check-label" for="poin-mobile-3">
                                                    10000 - 150000
                                                </label>
                                            </div>
                                            <div class="form-check">
                                                <input class="form-check-input" type="radio" name="pointEnd" id="poin-mobile-4"
                                                    value="200000">
                                                <label class="form-check-label" for="poin-mobile-4">
                                                    150000 - 200000
                                                </label>
                                            </div>
                                        </div>
                                        <div class="modal-footer">
                                            <button type="submit" class="btn btn-primary">Tampilkan Produk</button>
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row mb-3 md-md-4 md-xl-5">
                        <div class="col-2 d-md-none">
                            <!-- Button trigger modal -->
                            <button type="button" class="btn btn-primary btn-modal-filter-toggle my-2"
                                data-toggle="modal" data-target="#filterMobileModal">
                                <img width="18"
                                    src="{{ url('<front>') }}themes/growhappytheme/assets/images/icon-filter.png"
                                    alt="Icon filter">
                            </button>
                        </div>
                        <form class="col-10 col-md-6 offset-md-6 col-lg-5 offset-lg-7" action="{{ url('<front>') }}club#rewards-list" method="GET">
                            <div class="input-group">
                                <input id="s" name="keyword" placeholder="Cari Hadiah" type="text"
                                    class="form-control form-control-search rounded-lg mr-n5 border-light shadow-sm"
                                    value="{{keyword}}">
                                <span class="input-group-btn">
                                    <button type="submit" class="btn bg-primary text-white rounded-lg px-3">
                                        <img width="18"
                                            src="{{ url('<front>') }}themes/growhappytheme/assets/images/icon-search.svg"
                                            alt="Icon search">
                                    </button>
                                </span>
                            </div>
                        </form>
                    </div>
                    <div class="row row-cols-2 row-cols-lg-3 no-margin club article-wrapper position-relative">
                        {% include directory ~ '/templates/includes/_reward.html.twig' %}
                    </div>
                    <div class="expand-article-toggle-wrapper">
                        <button type="button" class="btn btn-primary expand-article-toggle d-none">LIHAT SEMUA</button>
                    </div>

                    {% if reward|length == 1 %}
                    <div class="row">
                        <div class="text-center m-5 p-5 text-blue w-50 m-auto">
                            <img class="mb-3"
                                src="{{ url('<front>') }}themes/growhappytheme/assets/images/icon-empty.svg"
                                alt="Sad face">
                            <h2 class="h3">Maaf Happy Parents!</h2>
                            <p>Data yang anda cari tidak ada
                            </p>
                        </div>
                    </div>
                    {% endif %}
                </div>
            </div>
            <div class="row mt-5">
                <div class="col-12">
                    <h3 class="mt-5 mb-4 mb-md-0 text-primary font-weight-bold">Ayo, beli produk LACTOGROW untuk terus
                        mendapatkan Happy Points!</h3>
                    {% include directory ~ '/templates/includes/_card-product-slide.html.twig' %}
                </div>
            </div>
        </div>
    </div>
</main>
<footer id="primary-footer">
    {% include directory ~ '/templates/includes/_footer_nestle.html.twig' %}
</footer>
<script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
<script type="text/javascript">
  $(document).ready(function(){
    if (window.location.hash == "#rewards-list") {
      $('html, body').animate({
         scrollTop: $("#rewards-list").offset().top
       }, 1000);
    }
 });
</script>
